# dmxpixmap.c File Reference

`#include "dmx.h"`
`#include "dmxsync.h"`
`#include "dmxpixmap.h"`
`#include "pixmapstr.h"`
`#include "servermd.h"`

## Functions

Bool | dmxInitPixmap (ScreenPtr pScreen)
void | dmxBECreatePixmap (PixmapPtr pPixmap)
PixmapPtr | dmxCreatePixmap (ScreenPtr pScreen, int width, int height, int depth)
Bool | dmxBEFreePixmap (PixmapPtr pPixmap)
Bool | dmxDestroyPixmap (PixmapPtr pPixmap)
RegionPtr | dmxBitmapToRegion (PixmapPtr pPixmap)

## Detailed Description

Provides pixmap support.

## Function Documentation

void dmxBECreatePixmap | ( | PixmapPtr | pPixmap | ) |

| Create a pixmap on the back-end server.

Bool dmxBEFreePixmap | ( | PixmapPtr | pPixmap | ) |

| Destroy the pixmap on the back-end server.

RegionPtr dmxBitmapToRegion | ( | PixmapPtr | pPixmap | ) |

| Create and return a region based on the pixmap pointed to by pPixmap.

PixmapPtr dmxCreatePixmap | ( | ScreenPtr | pScreen,
|  | int | width,
|  | int | height,
|  | int | depth
| ) |

| Create a pixmap for pScreen with the specified width, height, and depth.

Bool dmxDestroyPixmap | ( | PixmapPtr | pPixmap | ) |

| Destroy the pixmap pointed to by pPixmap.

Bool dmxInitPixmap | ( | ScreenPtr | pScreen | ) |

| Initialize a private area in pScreen for pixmap information.

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>